## GstProtectionMeta GstProtectionMeta |

## Functions

GstProtectionMeta * | gst_buffer_add_protection_meta ()
#define | gst_buffer_get_protection_meta()
const gchar * | gst_protection_select_system ()

## Types and Values

struct | GstProtectionMeta
#define | GST_PROTECTION_SYSTEM_ID_CAPS_FIELD

## Includes

    #include <gst/gstprotection.h>

## Description

## Functions

### gst_buffer_add_protection_meta ()

    GstProtectionMeta *
    gst_buffer_add_protection_meta (GstBuffer *buffer,
                                    GstStructure *info);

### gst_buffer_get_protection_meta()

    #define             gst_buffer_get_protection_meta(b)

### gst_protection_select_system ()

    const gchar *
    gst_protection_select_system (const gchar **system_identifiers);

## Types and Values

### struct GstProtectionMeta

    struct GstProtectionMeta {
      GstMeta meta;

      GstStructure *info;
    };

### GST_PROTECTION_SYSTEM_ID_CAPS_FIELD

    #define GST_PROTECTION_SYSTEM_ID_CAPS_FIELD "protection-system"